# gluon super node with docker

## Prepare

Prepare test VM with vagrant

```
vagrant up supernode
```

Change to vagrant VM

```
vagrant ssh supernode
```

Place you mullvad wiregard config as `wg0.conf` in this directory.

## Run

```
# iff using  vagrant
cd /vagrant_data
# build all images
docker-compose build
# start
docker-compose up -t 0 -d batman fastd_server dhcpd_v4 wireguard
```

## Test with OpenWRT node

```
vagrant up node
```

## Preparations for native install

### Docker

Docker logs retenation + ipv6 support

```
{
	"log-driver": "json-file",
	"log-opts": {
		"max-size": "1m",
		"max-file": "3"
	},
  "ipv6": true,
  "fixed-cidr-v6": "fcff:ffff:ffff:ffff::/64"
}
```
